- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e20afee8-bd55-4382-add3-c71db2cb738f
    creation_time: 2023-02-17T13:41:57.372063Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/jm2006_variant.c
      input_file_hashes:
        c/loop-lit/jm2006_variant.c: 9ff7313d43752ca03a5d33e155484c2e78101749d02f41d2d60b05ff36bbfa83
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/jm2006_variant.c
    file_hash: 9ff7313d43752ca03a5d33e155484c2e78101749d02f41d2d60b05ff36bbfa83
    line: 17
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: y + i - j == x - z
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ee0c6c39-7b41-4820-b74f-9057749b0a90
    creation_time: 2023-02-17T13:41:57.372491Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/jm2006_variant.c
      input_file_hashes:
        c/loop-lit/jm2006_variant.c: 9ff7313d43752ca03a5d33e155484c2e78101749d02f41d2d60b05ff36bbfa83
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/jm2006_variant.c
    file_hash: 9ff7313d43752ca03a5d33e155484c2e78101749d02f41d2d60b05ff36bbfa83
    line: 24
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: y == -z
    type: assertion
    format: C

